Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

I am trying to install Start Google Plus for Firefox. Everytime I do it says "The add-on could not be downloaded because of a connection failure on addons.mozilla.org." Can someone please fix this issue?

  • 7 uphendule
  • 17 zinale nkinga
  • 119 views
  • Igcine ukuphendulwa ngu lizs

more options

Isisombululo esikhethiwe

Right-click the Add to Firefox button and use Save Link As..., then either drag the XPI package into the browser window or use File > Open File to install it. (If you hit the Alt key the Menu Bar will appear, if you have it hidden.) There is a bit of a delay in "finding" that XPI, so there might be a problem with the installation "trigger".

Funda le mpendulo ngokuhambisana nalesi sihloko 👍 0

All Replies (7)

more options

Try and get it from here: http://startgoogleplus.com/

more options

I did. It referred me to the Firefox Add-on page.

more options

According to the developer's forum, there appears to be a problem with the download at the moment. See: http://getsatisfaction.com/inzania/products/inzania_start_google_plus

more options

Yes, I'm aware there is a problem with the download. It seems to be on Firefox's end however, not the developer's - which is why I thought I'd make Firefox aware of the issue.

more options

Very noble of you, but I'm afraid to say that this is just a user-to-user forum. Mozilla hardly ever comes here.

You'd be better off posting it on the AMO developer's forum @ https://forums.mozilla.org/addons/

more options

Isisombululo Esikhethiwe

Right-click the Add to Firefox button and use Save Link As..., then either drag the XPI package into the browser window or use File > Open File to install it. (If you hit the Alt key the Menu Bar will appear, if you have it hidden.) There is a bit of a delay in "finding" that XPI, so there might be a problem with the installation "trigger".

more options

Thank you, the-edmeister. Worked perfectly.